namespace OptixServe.Infrastructure.Configuration;

public record InfrastructureConfiguration
{
    public DatabaseSettings? Database { get; set; } = new();
}

public enum DatabaseType
{
    Sqlite,
    MySQL
}

public record DatabaseSettings
{
    public DatabaseType Type { get; set; } = DatabaseType.Sqlite;
    public string? Host { get; set; }
}
